com.thinkaurelius.titan.graphdb.database.indexing

## Class StandardIndexInformation

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.database.indexing.StandardIndexInformation

- All Implemented Interfaces:
    IndexInformation

      public class StandardIndexInformation
      extends Object
      implements IndexInformation

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StandardIndexInformation` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexFeatures` | `getFeatures()` The features of this index
    `boolean` | `supports(KeyInformation information)` Whether the index supports indexing a key with the given information
    `boolean` | `supports(KeyInformation information, TitanPredicate titanPredicate)` Whether the index supports executing queries with the given predicate against a key with the given information

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final StandardIndexInformation INSTANCE

  - ### Method Detail

    - #### supports

          public boolean supports(KeyInformation information,
                         TitanPredicate titanPredicate)

      Description copied from interface: `IndexInformation`
      Whether the index supports executing queries with the given predicate against a key with the given information
      Specified by:
        `supports` in interface `IndexInformation`
      Returns:

    - #### supports

          public boolean supports(KeyInformation information)

      Description copied from interface: `IndexInformation`
      Whether the index supports indexing a key with the given information
      Specified by:
        `supports` in interface `IndexInformation`
      Returns:

    - #### getFeatures

          public IndexFeatures getFeatures()

      Description copied from interface: `IndexInformation`
      The features of this index
      Specified by:
        `getFeatures` in interface `IndexInformation`
      Returns:

Copyright © 2012–2014. All rights reserved.